/*
 * University of Houston
 * Style sheet for the Fall 2014 issue
 * Created Summer 2014 by Rainer Schuhsler
 */

/* ========================================================================
   Custom Styles for this issue
   ======================================================================== */

#cover {
    background-color: #080808;
    background-image: url('https://uh.edu/magazine/images/banner-anniversary.svg'), url('https://uh.edu/magazine/images/banner-cover.jpg');
    background-position: center 36px, center top;
    background-repeat: no-repeat;
    background-size: auto 61.4583333333%, auto 100%;
    height: 0;
    padding-bottom: 37.5%;
    position: relative;
}


#cover img {
    display: block;
    margin: 0 auto;
}

#cover a:hover {
    text-decoration: none;
}

#cover .caption {
    background: transparent;
    bottom: 0;
    box-shadow: inset 0 -160px 160px -80px rgba(255,255,255,0);
    padding: 2em 15px 0;
    position: absolute;
    width: 100%;
    -webkit-transition: box-shadow .2s ease;
            transition: box-shadow .2s ease;
}

#cover .caption:hover {
    box-shadow: inset 0 -160px 160px -80px rgba(255,255,255,.2);
}

#cover .container {
    position: relative;
}

#cover h1 {
    background: #F6BE00;
    color: white;
    display: block;
    font-size: .9em;
    font-weight: bold;
    letter-spacing: 0.0625em;
    line-height: 1;
    margin: 0 0 0 -400px;
    padding: 1px 0 0 400px;
    position: absolute;
    text-transform: uppercase;
    top: -30px;
    width: 862px;
}

#cover h2 {
    color: white;
    font-family: 'League Gothic', sans-serif;
    font-size: 3.8em;
    font-weight: normal;
    letter-spacing: 0;
    line-height: 1.1;
    margin: 0;
    padding-bottom: .5em;
    text-shadow: -0.05em 0.05em rgba(0,0,0,.75);
    text-transform: uppercase;
}

#cover h2 .bull {
    font-size: .9em;
}

#cover h2 small {
    border-bottom: 1px solid transparent;
    color: #c8102e;
    display: block;
    font-family: 'Milo', sans-serif;
    font-size: .44em;
    font-weight: 200;
    line-height: 1.2;
    margin-top: .1em;
    text-shadow: 0 0 40px black, 0 0 20px black;
    text-transform: none;
    width: 42%;
    -webkit-transition: border .2s ease;
            transition: border .2s ease;
}

#cover a:hover h2 small {
    border-bottom: 1px solid #c8102e;
}

@media screen and (min-width: 1280px) {
    #cover {
        padding-bottom: 480px;
    }
}

#president h1,
#energy h1,
#alumni h1 {
    background-color: #c8102e;
    box-shadow: 0px  1px 0 #960C22,
                1px  0px 0 #640817,
                1px  2px 0 #960C22,
                2px  1px 0 #640817,
                2px  3px 0 #960C22,
                3px  2px 0 #640817,
                3px  4px 0 #960C22,
                4px  3px 0 #640817,
                4px  5px 0 #960C22,
                5px  4px 0 #640817,
                5px  5px 0 #960C22;
}

#regents h1,
#arts h1 {
    background-color: #F6BE00;
    box-shadow: 0px  1px 0 #D89B00,
                1px  0px 0 #B97800,
                1px  2px 0 #D89B00,
                2px  1px 0 #B97800,
                2px  3px 0 #D89B00,
                3px  2px 0 #B97800,
                3px  4px 0 #D89B00,
                4px  3px 0 #B97800,
                4px  5px 0 #D89B00,
                5px  4px 0 #B97800,
                5px  5px 0 #D89B00;
}

#class-notes .col-sm-4 + .col-sm-4 {
    border-left: 1px dotted #999;
}

#class-notes dl {
    margin: 0 -15px;
}

#class-notes dt {
    border-bottom: 1px dotted #999;
    font-size: 2em;
    font-weight: normal;
    margin: 0 45px .5em;
    text-align: center;
}

#class-notes dd + dt {
    padding-top: .5em;
}

#class-notes dd {
    line-height: 1.33;
    margin: 0 0 1.5em 0;
}

#class-notes img {
    display: block;
    margin: 0 0 .75em 0;
}

#class-notes img.pull-left {
    float: left;
    margin: 0 15px .5em 0 !important;
    width: 40%;
}

#class-notes img.pull-right {
    float: right;
    margin: 0 0 .5em 15px !important;
    width: 40%;
}

#class-notes dt,
#class-notes dd {
    clear: both;
}

#class-notes .name {
    font-style: italic;
    font-weight: 600;
}

#class-notes .life-member {
    color: #c8102e;
}

#last-look img {
    display: block;
    margin: 0 auto;
}

#last-look .caption {
    padding: 2em 15px;
    position: relative;
}

#last-look .caption h1 {
    background: #00b388;
    color: white;
    display: block;
    font-size: 1em;
    font-weight: bold;
    letter-spacing: 0.0625em;
    line-height: 1;
    margin: 0 0 0 -15px;
    padding: .625em 15px .5em;
    position: absolute;
    text-transform: uppercase;
    top: -1.375em;
    box-shadow:  0px  1px 0 #00866C,
                -1px  0px 0 #005950,
                -1px  2px 0 #00866C,
                -2px  1px 0 #005950,
                -2px  3px 0 #00866C,
                -3px  2px 0 #005950,
                -3px  4px 0 #00866C,
                -4px  3px 0 #005950,
                -4px  5px 0 #00866C,
                -5px  4px 0 #005950,
                -5px  5px 0 #00866C;
}

#last-look .caption h2 {
    color: #c8102e;
    font-size: 2em;
    font-weight: normal;
    letter-spacing: 0;
    line-height: 1.1;
    margin: 0 0 .325em 0;
    text-transform: none;
}

#last-look .caption p {
    color: black;
    font-size: 1em;
    margin: 0;
}